Problem with MySQL and trunk redmine

Added by Alejandro Celery over 11 years ago

Hi everyone.
I´ve been using de tagged versions of redmine so far with no problem at all.
I tried to checkout the trunk but i can´t get redmine up, i´m having mysql problems. The one i can´t get past is "Mysql::Error (Client does not support authentication protocol requested by server; consider upgrading MySQL client):". It all begun when I checked out the trunk, i went for rails 2.2.2. My procedure for this was to get into the vendor/rails folder and added simlinks to /usr/lib/ruby/gems/1.8/gems:
alejandro@neo:/usr/lib/ruby/gems/1.8/gems$ ll
total 92K
drwxr-xr-x 23 root root 4,0K 2009-03-11 12:17 .
drwxr-xr-x 6 root root 4,0K 2008-10-06 08:37 ..
drwxr-xr-x 4 root root 4,0K 2008-10-06 09:00 actionmailer-2.1.1
drwxr-xr-x 4 root root 4,0K 2008-10-06 09:00 actionpack-2.1.1
drwxr-xr-x 5 root root 4,0K 2008-10-06 09:00 activerecord-2.1.1
drwxr-xr-x 4 root root 4,0K 2008-10-06 09:00 activeresource-2.1.1
drwxr-xr-x 3 root root 4,0K 2008-10-06 08:59 activesupport-2.1.1
drwxr-xr-x 11 root root 4,0K 2008-10-06 09:00 rails-2.1.1
drwxr-xr-x 4 root root 4,0K 2008-11-06 13:08 actionmailer-2.1.2
drwxr-xr-x 4 root root 4,0K 2009-03-04 11:28 actionmailer-2.2.2
drwxr-xr-x 4 root root 4,0K 2008-11-06 13:08 actionpack-2.1.2
drwxr-xr-x 4 root root 4,0K 2009-03-04 11:28 actionpack-2.2.2
drwxr-xr-x 5 root root 4,0K 2008-11-06 13:06 activerecord-2.1.2
drwxr-xr-x 5 root root 4,0K 2009-03-04 11:28 activerecord-2.2.2
drwxr-xr-x 4 root root 4,0K 2008-11-06 13:08 activeresource-2.1.2
drwxr-xr-x 4 root root 4,0K 2009-03-04 11:28 activeresource-2.2.2
drwxr-xr-x 3 root root 4,0K 2008-11-06 13:06 activesupport-2.1.2
drwxr-xr-x 3 root root 4,0K 2009-03-04 11:27 activesupport-2.2.2
drwxr-xr-x 11 root root 4,0K 2008-11-06 13:09 rails-2.1.2
drwxr-xr-x 11 root root 4,0K 2009-03-04 11:29 rails-2.2.2
drwxr-xr-x 6 root root 4,0K 2008-10-06 08:59 rake-0.8.3
drwxr-xr-x 6 root root 4,0K 2009-03-11 12:18 rake-0.8.4
drwxr-xr-x 2 root root 4,0K 2009-03-11 12:11 mysql-2.7

No matter what, alejandro@neo:/usr/lib/ruby/gems/1.8/gems$ ll
total 92K
drwxr-xr-x 23 root root 4,0K 2009-03-11 12:17 .
drwxr-xr-x 6 root root 4,0K 2008-10-06 08:37 ..
drwxr-xr-x 4 root root 4,0K 2008-10-06 09:00 actionmailer-2.1.1
drwxr-xr-x 4 root root 4,0K 2008-10-06 09:00 actionpack-2.1.1
drwxr-xr-x 5 root root 4,0K 2008-10-06 09:00 activerecord-2.1.1
drwxr-xr-x 4 root root 4,0K 2008-10-06 09:00 activeresource-2.1.1
drwxr-xr-x 3 root root 4,0K 2008-10-06 08:59 activesupport-2.1.1
drwxr-xr-x 11 root root 4,0K 2008-10-06 09:00 rails-2.1.1
drwxr-xr-x 4 root root 4,0K 2008-11-06 13:08 actionmailer-2.1.2
drwxr-xr-x 4 root root 4,0K 2009-03-04 11:28 actionmailer-2.2.2
drwxr-xr-x 4 root root 4,0K 2008-11-06 13:08 actionpack-2.1.2
drwxr-xr-x 4 root root 4,0K 2009-03-04 11:28 actionpack-2.2.2
drwxr-xr-x 5 root root 4,0K 2008-11-06 13:06 activerecord-2.1.2
drwxr-xr-x 5 root root 4,0K 2009-03-04 11:28 activerecord-2.2.2
drwxr-xr-x 4 root root 4,0K 2008-11-06 13:08 activeresource-2.1.2
drwxr-xr-x 4 root root 4,0K 2009-03-04 11:28 activeresource-2.2.2
drwxr-xr-x 3 root root 4,0K 2008-11-06 13:06 activesupport-2.1.2
drwxr-xr-x 3 root root 4,0K 2009-03-04 11:27 activesupport-2.2.2
drwxr-xr-x 11 root root 4,0K 2008-11-06 13:09 rails-2.1.2
drwxr-xr-x 11 root root 4,0K 2009-03-04 11:29 rails-2.2.2
drwxr-xr-x 6 root root 4,0K 2008-10-06 08:59 rake-0.8.3
drwxr-xr-x 6 root root 4,0K 2009-03-11 12:18 rake-0.8.4
drwxr-xr-x 2 root root 4,0K 2009-03-11 12:11 mysql-2.7

Please advise me as to where should I go from here.
What does "mysql client too old" mean? Is it something in rails 2.2.2 (I remember reading this somewhere)?

My setup is Ubuntu 8.04.1 server LTS.
alejandro@neo:/var/www/redmine-0.8.1$ ruby --version
ruby 1.8.6 (2007-09-24 patchlevel 111) [i486-linux]
alejandro@neo:/var/www/redmine-0.8.1$ rails --version
Rails 2.2.2
alejandro@neo:/var/www/redmine-0.8.1$ mysql --version
mysql Ver 14.12 Distrib 5.0.51a, for debian-linux-gnu (i486) using readline 5.2

TIA for the help!
Regards,
Alex from Argentina.

Replies (1)

RE: Problem with MySQL and trunk redmine - Added by Tim Aleinikoff almost 11 years ago

I have similar problem with current trunk.

rake db:migrate RAILS_ENV="production" 
(in /Users/aleinikov/Sites/redmine/trunk9)
rake aborted!
Client does not support authentication protocol requested by server; consider upgrading MySQL client

My setup is OSX 10.5.8
MySQL 5.1.37 is part of MAMP http://www.mamp.info/en/mamp/index.html
ruby 1.8.7 (2009-06-12 patchlevel 174) [i686-darwin9.7.0]
Rails 2.3.4
gem 1.3.5
rake 0.8.4

my gems:
RedCloth-4.1.9
actionmailer-2.3.4
actionpack-2.2.2
actionpack-2.3.4
activerecord-2.2.2
activerecord-2.3.4
activeresource-2.3.4
activesupport-2.2.2
activesupport-2.3.4
atom-tools-2.0.1
builder-2.1.2
fastthread-1.0.7
json-1.1.4
mysql-2.7
mysql-2.8.1
rack-1.0.1
rails-2.2.2
rails-2.3.2
rails-2.3.4
rote-0.3.4
ruby_parser-2.0.2
rufus-dollar-1.0.2
rufus-lru-1.0.2
rufus-mnemo-1.0
rufus-scheduler-1.0.13
rufus-treechecker-1.0.3
rufus-verbs-0.10
ruote-0.9.20
sexp_processor-3.0.1

Which version of mysql gem should I use? Where can I find?

(1-1/1)